org.encog.ensemble

## Interface EnsembleML

- All Superinterfaces:
    MLClassification, MLInput, MLInputOutput, MLMethod, MLOutput, MLRegression
  All Known Implementing Classes:
    GenericEnsembleML

      public interface EnsembleML
      extends MLMethod, MLClassification, MLRegression

  Author:
    nitbix

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getError(EnsembleDataSet testset)` Get the error for this ML on the dataset
    `String` | `getLabel()`
    `MLMethod` | `getMl()`
    `MLTrain` | `getTraining()`
    `EnsembleDataSet` | `getTrainingSet()`
    `void` | `setMl(MLMethod newMl)` Set the MLMethod to run
    `void` | `setTraining(MLTrain train)` Set the training for this member
    `void` | `setTrainingSet(EnsembleDataSet dataSet)` Set the dataset for this member
    `void` | `train(double targetError)` Train the ML to a certain accuracy.
    `void` | `train(double targetError, boolean verbose)` Train the ML to a certain accuracy.
    `void` | `trainStep()`

    - ### Methods inherited from interface org.encog.ml.MLClassification

      `classify`

    - ### Methods inherited from interface org.encog.ml.MLRegression

      `compute`

    - ### Methods inherited from interface org.encog.ml.MLInput

      `getInputCount`

    - ### Methods inherited from interface org.encog.ml.MLOutput

      `getOutputCount`

- - ### Method Detail

    - #### setTrainingSet

          void setTrainingSet(EnsembleDataSet dataSet)

      Set the dataset for this member
      Parameters:
        `dataSet` - The data set.

    - #### setTraining

          void setTraining(MLTrain train)

      Set the training for this member
      Parameters:
        `train` - The trainer.

    - #### getTrainingSet

          EnsembleDataSet getTrainingSet()

      Returns:
        Get the dataset for this member

    - #### getTraining

          MLTrain getTraining()

      Returns:
        Get the dataset for this member.

    - #### train

          void train(double targetError)

      Train the ML to a certain accuracy.
      Parameters:
        `targetError` - The target error.

    - #### train

          void train(double targetError,
                   boolean verbose)

      Train the ML to a certain accuracy.
      Parameters:
        `targetError` - Target error.
        `verbose` - Verbose mode.

    - #### getError

          double getError(EnsembleDataSet testset)

      Get the error for this ML on the dataset

    - #### setMl

          void setMl(MLMethod newMl)

      Set the MLMethod to run
      Parameters:
        `newMl` - The new ML.

    - #### getMl

          MLMethod getMl()

      Returns:
        Returns the current MLMethod

    - #### trainStep

          void trainStep()

    - #### getLabel

          String getLabel()

Copyright © 2014. All Rights Reserved.